Merchant API v2
Overview
General
General Information
Generate a signature
Deposits
Getting started
Create a deposit
Create a deposit without redirection (iframe)
Deposit notification (webhook)
Check an deposit status
Get a list of deposits
Deposits without 8-day waiting period (Steam Trade Protection)
Deposit approval with 8-day hold
Get failed webhook notifications
Deposits without SkinsBack UI
Create a deposit without SkinsBack UI (API)
Get user's inventory
Skins Withdraw
Skins price list
Skins search
Buy skin
Bulk buy skins
Get skin purchase info
Skin purchase history
Cancel skin purchase
Other
Get the project balance
Get the history of withdrawals and deposits of money
Get currencies and rates
Server status
Events real-time: websockets
Events real-time: webhooks
Search skins by name
Search for skins by name (market hash name) that can be withdrawn. The response includes stickers/charms/patches data for weapons and agents (CS2 only).
The required parameters are highlighted in blue.
Send a POST request to API Endpoint with the following parameters:
method
string
market_search
game
string
'cs2', 'dota2', 'rust'
name
string
Skin name (market hash name)
— OR —
names
array
Skin names array (market hash name)
obtained_skin_ids
array
Array of skin IDs to check availability (if specified, name/names are not required, max: 100)
limit
int
Maximum number of results (default: 50, max: 1000)
offset
int
Number of results to skip (default: 0)
delivery_types
array
Array of delivery types: [1], [2], or [1,2]. 1 = Instant, 2 = Slow. Default: [1,2]
Response from the server:
If successful, a JSON object with the following contents will be sent in response:
items
array
An array containing a list of available skins
has_more
bool
Are there more pages to paginate
'items' structure
id
int
Skin ID
name
string
Skin name
price
float
Skin price in USD
classid
string
Class ID of skin
delivery_type
int
Delivery type: 1 = Instant, 2 = Slow
paint_index
int / null
Paint Index of the skin (can be null)
paint_seed
int / null
Paint Seed of the skin (can be null)
assetid
string / null
Steam asset ID of the skin (can be null)
source_id
int
Skin source ID
stickers
array
Item stickers, charms, and patches (CS2 only)
Sticker item structure
name
string
Name with type prefix (Sticker | ..., Charm | ..., Patch | ...)
img
string
Image URL
wear
float / null
Wear value (can be null)
slot
int / null
Slot (can be null)
Successful response example:
{
"status": "success",
"items": [
{
"id": "2715",
"name": "SSG 08 | Fever Dream (Field-Tested)",
"price": "77.02",
"classid": "3770669160",
"delivery_type": 1,
"paint_index": 844,
"paint_seed": 412,
"assetid": "41234567890",
"source_id": 1,
"stickers": [
{
"name": "Sticker | FaZe Clan (Gold) | Shanghai 2024",
"img": "https://cdn.steamstatic.com/apps/730/icons/econ/stickers/rmr2020/faze_gold.png",
"wear": 0,
"slot": 0
},
{
"name": "Charm | Die-cast AK",
"img": "https://cdn.steamstatic.com/apps/730/icons/econ/keychains/weapon_1/kc_wpn_ak_jelly.png",
"wear": 0,
"slot": null
}
]
},
{
"id": "2722",
"name": "SSG 08 | Fever Dream (Field-Tested)",
"price": "77.02",
"classid": "3770669160",
"delivery_type": 2,
"paint_index": 844,
"paint_seed": 90,
"assetid": "41234567891",
"source_id": 2,
"stickers": [
{
"name": "Patch | Howl Patch",
"img": "https://cdn.steamstatic.com/apps/730/icons/econ/patches/howl.png",
"wear": 0,
"slot": null
}
]
}
],
"has_more": true
}
List of possible errors:
1
missing_required_search_params
Missing 'name', 'names', or 'obtained_skin_ids'
2
name_min_length_3
Skin name min length 3 characters
3
max_names_reached
Max skin names count - 100
-6
market_disabled
Market is off
standard errors:
-1
please_use_post_method
Need to use the POST method
-2
invalid_shopid
Project Client ID not found in the system
-3
invalid_signature
Invalid signature
-4
shop_not_active
Project inactive
-5
invalid_method
Invalid API method
-7
request_limit_reached
API requests limit reached (500/per minute)
-8
invalid_ip_address
Specify IP address in merchant panel
-9
under_maintenance
Site under maintenance
-10
invalid_client_secret
Invalid X-CLIENT-SECRET header